App\Library\Amazon\Classes\HandheldSoftwareDownloads:
    xml_root_name: HandheldSoftwareDownloads
    properties:
        applicationVersion:
            expose: true
            access_type: public_method
            serialized_name: ApplicationVersion
            accessor:
                getter: getApplicationVersion
                setter: setApplicationVersion
            type: string
        downloadableFile:
            expose: true
            access_type: public_method
            serialized_name: DownloadableFile
            accessor:
                getter: getDownloadableFile
                setter: setDownloadableFile
            type: App\Library\Amazon\Classes\DownloadableFile
        operatingSystem:
            expose: true
            access_type: public_method
            serialized_name: OperatingSystem
            accessor:
                getter: getOperatingSystem
                setter: setOperatingSystem
            xml_list:
                inline: true
                entry_name: OperatingSystem
            type: array<string>
        systemRequirements:
            expose: true
            access_type: public_method
            serialized_name: SystemRequirements
            accessor:
                getter: getSystemRequirements
                setter: setSystemRequirements
            type: string
        numberOfLicenses:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLicenses
            accessor:
                getter: getNumberOfLicenses
                setter: setNumberOfLicenses
            type: integer
        maxNumberOfPlayers:
            expose: true
            access_type: public_method
            serialized_name: MaxNumberOfPlayers
            accessor:
                getter: getMaxNumberOfPlayers
                setter: setMaxNumberOfPlayers
            type: integer
